Bug 186736 - Beagle prevents ejecting ejectable media.
Beagle prevents ejecting ejectable media.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 17:25 EST by J.B. Nicholson-Owens
Modified: 2008-05-06 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A panel that has no name and no message to convey to the user except to click "OK". (6.03 KB, image/png)
2006-03-25 17:25 EST, J.B. Nicholson-Owens
no flags Details

  None (edit)
Description J.B. Nicholson-Owens 2006-03-25 17:25:17 EST
Description of problem:
I've set Beagle to index /media because I want it to index all of my ejectable
volumes (USB keys, USB hard drives, etc.) as I insert them.

When I do so, the indexing of that volume prevents me from ejecting the volume
when no other program is using the volume.

Version-Release number of selected component (if applicable):
0.2.3 release 4.

How reproducible:
Every time.

Steps to Reproduce:
1. Install Beagle.  Set it up to index /media.  Get a USB key or USB HD and
insert it.
2. Start up a beagle indexer going.
3. After a while, you'll notice the drive you inserted being read.
4. Use Nautilus to eject that volume by right-clicking on it and picking "unmount".

Actual results:
You get an error saying that some application is preventing the volume from
being ejected.  All you can do is click "OK".

You also get the attached image which has no apparent message and has no other
option but to click "OK" on it.

Expected results:
The volume would unmount and let me eject it cleanly.

Additional info:
It would be nice if there was some way for a process to access a volume with the
"understanding" that the volume (directory) could vanish (end of indexing that
volume for now) or be replaced with another volume mounted at the same place
(which would necessitate starting a new indexing run, perhaps).
Comment 1 J.B. Nicholson-Owens 2006-03-25 17:25:17 EST
Created attachment 126742 [details]
A panel that has no name and no message to convey to the user except to click "OK".
Comment 2 Alexander Larsson 2006-08-14 07:21:29 EDT
Does indexing removable media with beagle even make sense atm? I mean, its not
gonna tell you which media the file was on if you get a hit.
Comment 3 Bug Zapper 2008-04-03 22:15:44 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:38:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.